Page MenuHomePhabricator

Implement data collection for performance metrics
Closed, ResolvedPublic8 Estimated Story Points

Description

It is a Q2 goal of the Editing team to collect data to better understand the performance of the visual editor, 2017 wikitext editor, and 2010 wikitext editors.

The metrics that are relevant in this case are:

  • Time to interactive
    • Measures the time between the user clicking edit and the editing environment being able to accept user input.
  • Time to fully loaded
    • Measures the time between the user clicking edit and the editing environment being fully loaded.

Event Timeline

Deskana created this task.Dec 11 2017, 5:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2017, 5:56 PM
Deskana triaged this task as High priority.Dec 11 2017, 5:56 PM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 398333 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] ArticleTargetEvents: Track editor mode on save events

https://gerrit.wikimedia.org/r/398333

Change 398333 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ArticleTargetEvents: Track editor mode on save events

https://gerrit.wikimedia.org/r/398333

Change 398389 had a related patch set uploaded (by Jforrester; owner: DLynch):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.12] ArticleTargetEvents: Track editor mode on save events

https://gerrit.wikimedia.org/r/398389

Change 398389 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.12] ArticleTargetEvents: Track editor mode on save events

https://gerrit.wikimedia.org/r/398389

Mentioned in SAL (#wikimedia-operations) [2017-12-15T00:33:08Z] <catrope@tin> Synchronized php-1.31.0-wmf.12/extensions/VisualEditor/modules/ve-mw/init/ve.init.mw.ArticleTargetEvents.js: Track editor mode on save events (T182610) (duration: 00m 56s)

Deskana closed this task as Resolved.Feb 16 2018, 4:36 PM
Deskana assigned this task to DLynch.
Deskana set the point value for this task to 8.

This was done two months ago. I don't know why I left it lying around.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 16 2018, 4:36 PM